%perl_module HTML-TableExtract 1.08 6

Summary:       Perl extension for extracting the text contained in tables within an HTML document.
Group:         Applications/CPAN
Vendor:        Matthew P. Sisk <sisk@mojotoad.com>
License:       Artistic
URL:           http://search.cpan.org/author/MSISK/%{pkgname}-%{version}/
Source:        http://search.cpan.org/CPAN/authors/id/M/MS/MSISK/%{pkgname}-%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl(HTML::Parser)
BuildArch:     noarch

%description
HTML::TableExtract is a subclass of HTML::Parser that serves to
extract the textual information from tables of interest contained
within an HTML document. The text from each extracted table is stored
in tabe state objects which hold the information as an array of arrays
that represent the rows and cells of that table.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README Changes
%{perl_vendorlib}/HTML/TableExtract.pm
%{perl_man3dir}/HTML::TableExtract.3pm*

%changelog
* Mon Apr  7 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Adapted to new macros.

* Fri Jan 3 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build (cpan2rpm).
